<?php
//
// +----------------------------------------------------------------------+
// |zen-cart Open Source E-commerce                                       |
// +----------------------------------------------------------------------+
// | Copyright (c) 2003 The zen-cart developers                           |
// |                                                                      |
// | http://www.zen-cart.com/index.php                                    |
// |                                                                      |
// | Portions Copyright (c) 2003 osCommerce                               |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the GPL license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at the following url:           |
// | http://www.zen-cart.com/license/2_0.txt.                             |
// | If you did not receive a copy of the zen-cart license and are unable |
// | to obtain it through the world-wide-web, please send a note to       |
// | license@zen-cart.com so we can mail you a copy immediately.          |
// +----------------------------------------------------------------------+
// products_image_manager.php
//

define('HEADING_TITLE', 'Artikelbild Manager');
define('HEADING_TITLE_PRODUCT_SELECT','Please select a Product to alter the images for ...');

define('TABLE_HEADING_PHOTO_NAME', 'Bildname');
define('TABLE_HEADING_DEFAULT_SIZE','Standardgr&ouml;&szlig;e');
define('TABLE_HEADING_MEDIUM_SIZE', 'Mittleres Bild');
define('TABLE_HEADING_LARGE_SIZE','Gro&szlig;es Bild');
define('TABLE_HEADING_PHOTO', 'Bild');
define('TABLE_HEADING_ACTION', 'Aktion');

define('TEXT_PRODUCT_INFO', 'Artikel');
define('TEXT_PRODUCTS_MODEL', 'Model');
define('TEXT_IMAGE_BASE_DIR', 'Bildverzeichnis');
define('TEXT_NO_PRODUCT_IMAGES', 'Es existieren keine Bilder zu diesem Artikel.');
define('TEXT_CLICK_TO_ENLARGE', 'Vergr&ouml;&szlig;ern');
define('TEXT_PRICED_BY_ATTRIBUTES', 'Preis durch Attribute festgelegt');

define('TEXT_INFO_IMAGE_INFO', 'Bildinformationen');
define('TEXT_INFO_NAME', 'Name');
define('TEXT_INFO_FILE_TYPE', 'Dateityp');
define('TEXT_INFO_EDIT_PHOTO', 'Bild bearbeiten');
define('TEXT_INFO_NEW_PHOTO', 'Neues Bild');
define('TEXT_INFO_IMAGE_BASE_NAME', 'Bildname');
define('TEXT_INFO_AUTOMATIC_FROM_DEFAULT', ' Automatisch (nach dem Hauptbild)');
define('TEXT_INFO_MAIN_DIR', 'Hauptverzeichnis');
define('TEXT_INFO_BASE_DIR', 'Haupt-Bildverzeichnis');
define('TEXT_INFO_NEW_DIR', 'W&auml;hlen Sie ein neues Verzeichnis aus oder definieren Sie ein neues f&uuml;r die Bilder.');
define('TEXT_INFO_IMAGE_DIR', 'Bildverzeichnis');
define('TEXT_INFO_OR', 'oder');
define('TEXT_INFO_AUTOMATIC', 'Automatisch');
define('TEXT_INFO_IMAGE_SUFFIX', 'Bildsuffix');
define('TEXT_INFO_USE_AUTO_SUFFIX','Benutze die automatische Suffix-Generierung oder geben Sie ein alternatives Suffix ein.');
define('TEXT_INFO_DEFAULT_IMAGE', 'Hauptbild');
define('TEXT_INFO_DEFAULT_IMAGE_HELP', 'Ein Hauptbild muss definiert sein. Das kleinste Bild wird als Hauptbild angenommen, wenn mittlere und gro&szlig;e Bilder angegeben werden.');
define('TEXT_INFO_CONFIRM_DELETE', "L&ouml;schen best&auml;tigen;");
define('TEXT_INFO_CONFIRM_DELETE_SURE', 'Sind Sie sicher, dass Sie dieses Bild in allen verschiedenen Gr&ouml;&szlig;en l&ouml;schen wollen?');
define('TEXT_INFO_SELECT_ACTION', 'W&auml;hlen Seine Aktion');
define('TEXT_INFO_CLICK_TO_ADD', 'Klicken, um diesem Artikel ein neues Bild hinzuzuf&uuml;gen.');

define('TEXT_MSG_AUTO_BASE_ERROR', 'Fehler: Sie haben die automatisch Bildbenamung ausgew&auml;hlt, es existiert aber kein Hauptbild!');
define('TEXT_MSG_INVALID_BASE_ERROR', 'Fehler: Ung&uuml;ltige Bildbenamung, oder es konnte kein Hauptbild gefunden werden.');
define('TEXT_MSG_AUTO_REPLACE',  'St&ouml;rende Zeichen wurden automatisch im Bildnamen ausgetauscht, neuer Name: ');
define('TEXT_MSG_INVALID_SUFFIX', 'Fehler: Ung&uuml;ltiges Bildsuffix!');
define('TEXT_MSG_IMAGE_TYPES_NOT_SAME_ERROR', 'Bildtypen sind nicht die Gleichen!');
define('TEXT_MSG_DEFAULT_REQUIRED_FOR_RESIZE', 'Fehler: F&uuml;r autmatische Gr&ouml;&szlig;enanpassung wird ein Hauptbild ben&ouml;tigt!');
define('TEXT_MSG_NO_DEFAULT', 'Fehler: Es wurde kein Hauptbild angegeben!');
define('TEXT_MSG_FILE_EXISTS', 'Fehler: Die Datei existiert bereits! Bitter ver&auml;ndern Sie den Bildnamen oder das Suffix!');
define('TEXT_MSG_INVALID_SQL', "Fehler: SQL Abfrage konnte nicht durchgef&uuml;hrt werden!");
define('TEXT_MSG_NOCREATE_IMAGE_DIR', "Fehler: Das Bildverzeichnis konnte nicht erstellt werden!");
define('TEXT_MSG_NOCREATE_MEDIUM_IMAGE_DIR', "Fehler: Das Bildverzeichis f&uuml;r mittlere Bilder konnte nicht erstellt werden!");
define('TEXT_MSG_NOCREATE_LARGE_IMAGE_DIR', "Fehler: das Bildverzeichnis f&uuml;r gro&szlig;e Bilder konnte nicht erstellt werden!");
define('TEXT_MSG_NOPERMS_IMAGE_DIR', "Fehler: Die Berechtigungen des Bildverzeichnisses konnten nicht gesetzt werden!");
define('TEXT_MSG_NOPERMS_MEDIUM_IMAGE_DIR', "Fehler: Die Berechtigungen des Bildverzeichnisses f&uuml;r mittlere Bilder konnten nicht gesetzt werden!");
define('TEXT_MSG_NOPERMS_LARGE_IMAGE_DIR', "Fehler: Die Berechtigungen des Bildverzeichnisses f&uuml;r gro&szlig;e Bilder konnten nicht gesetzt werden!");

define('TEXT_MSG_NOUPLOAD_DEFAULT', "Fehler: Das Hauptbild konnte nicht hochgeladen werden!");
define('TEXT_MSG_NORESIZE', "Fehler: Die Gr&ouml&szlig;e des Bildes konnte nicht ver&auml;ndert werden!");
define('TEXT_MSG_NOCOPY_LARGE', "Fehler: Das gro&szlig;e Bild konnte nicht kopiert werden!");
define('TEXT_MSG_NOCOPY_MEDIUM', "Fehler: Das mittlere Bild konnte nicht kopiert werden!");
define('TEXT_MSG_NOCOPY_DEFAULT', "Fehler: Das Hauptbild konnte nicht kopiert werden!");
define('TEXT_MSG_NOPERMS_LARGE', "Fehler: Die Berechtigungen f&uuml;r das gro&szlig;e Bild konnten nicht gesetzt werden!");
define('TEXT_MSG_NOPERMS_MEDIUM', "Fehler: Die Berechtigungen f&uuml;r das mittlere Bild konnten nicht gesetzt werden!");
define('TEXT_MSG_NOPERMS_DEFAULT', "Fehler: Die Berechtigungen f&uuml;r das Hauptbild konnten nicht gesetzt werden!");
define('TEXT_MSG_IMAGE_SAVED', 'Das Bild wurde erfolgreich gespeichert.');
define('TEXT_MSG_LARGE_DELETED', 'Das gro&szlig;es Bild wurde gel&ouml;scht.');
define('TEXT_MSG_NO_DELETE_LARGE', 'Fehler: Das gro&szlig;e Bild konnte nicht gel;&ouml;scht werden!');
define('TEXT_MSG_MEDIUM_DELETED', 'Das mittlere Bild wurde gel&ouml;scht.');
define('TEXT_MSG_NO_DELETE_MEDIUM', 'Fehler: Das mittlere Bild konnte nicht gel;&ouml;scht werden!');
define('TEXT_MSG_DEFAULT_DELETED', 'Das Hauptbild wurde gel&ouml;scht.');
define('TEXT_MSG_NO_DELETE_DEFAULT', 'Fehler: Das Hauptbild konnte nicht gel;&ouml;scht werden!');
define('TEXT_MSG_NO_DEFAULT_FILE_FOUND', "Fehler: Es wurde keine Datei zum L&ouml;schen gefunden!");

define('NOT_USING_IMAGE_HANDLER', 'Kein Image Handler konfiguriert.');
define('USING_IMAGE_HANDLER', 'Image Handler %s wird verwendet.');

?>
