<?php
//
// +----------------------------------------------------------------------+
// |zen-cart Open Source E-commerce                                       |
// +----------------------------------------------------------------------+
// | Copyright (c) 2003 The zen-cart developers                           |
// |                                                                      |
// | http://www.zen-cart.com/index.php                                    |
// |                                                                      |
// | Portions Copyright (c) 2003 osCommerce                               |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the GPL license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at the following url:           |
// | http://www.zen-cart.com/license/2_0.txt.                             |
// | If you did not receive a copy of the zen-cart license and are unable |
// | to obtain it through the world-wide-web, please send a note to       |
// | license@zen-cart.com so we can mail you a copy immediately.          |
// +----------------------------------------------------------------------+
//  $Id: new_product_preview.php,v 1.1.2.5 2005/03/23 00:45:07 tim Exp $

// copy image only if modified
if (!$_GET['read']) {
	$overwrite = $_POST['overwrite'];
	$products_image = new upload('products_image');
	$products_image->set_destination(DIR_FS_CATALOG_IMAGES . $_POST['img_dir']);
	if ($products_image->parse() && $products_image->save($overwrite)) {
		$products_image_name = $_POST['img_dir'] . $products_image->filename;
		// if add as additional image is specified, do exactly that
		if ($overwrite) {
			if (isset($_POST['add_additional_image']) && $_POST['add_additional_image']) {
				if (isset($_POST['products_previous_image']) && ($_POST['products_previous_image'] != '')) {
					// maybe convert is specified, too so we have to convert the original
					// already uploaded file first.
					if (isset($_POST['convert_image']) && $_POST['convert_image']) {
						zen_process_uploaded_image($_POST['products_previous_image']);
					}
					// now it's time to do the additional images.'
					$products_image_name = zen_process_uploaded_image($products_image_name, $_POST['products_previous_image']);
				}
			} elseif (isset($_POST['generate_scaled_images']) && $_POST['generate_scaled_images']) {
				//otherwise just use the uploaded image as default image after resizing.
				$products_image_name = zen_process_uploaded_image($products_image_name);
			}
		}
	} else {
		// no image is uploaded
		if (isset($_POST['products_previous_image']) && ($_POST['products_previous_image'] != '')) {
			if (isset($_POST['convert_image']) && $_POST['convert_image']) {
				// if convert image is specified, resize the already uploaded default image.
				$products_image_name = zen_process_uploaded_image($_POST['products_previous_image']);
			} else {
				// otherwise the product image name stays the same
				$products_image_name = $_POST['products_previous_image'];
			}			
		} else {
			$products_image_name = '';
		}
	}
}
?>