<?php
//
// +----------------------------------------------------------------------+
// |Image Handler for zen-cart Open Source E-commerce                     |
// +----------------------------------------------------------------------+
// | Copyright (c) 2005 Tim Kroeger                                       |
// | http://www.breakmyzencart.com                                        |
// |                                                                      |
// |                                                                      |
// |                                                                      |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the GPL license,       |
// | that is bundled with this package in the file LICENSE.txt, and is    |
// | available through the world-wide-web at the following url:           |
// | http://www.gnu.org/licenses/gpl.txt                                  |
// | If you did not receive a copy of the license and are unable          |
// | to obtain it through the world-wide-web, please send a note to       |
// | tim@breakmyzencart.com so I can mail you a copy immediately.         |
// +----------------------------------------------------------------------+
// $Id: functions_advanced_cart.php,v 1.1.2.1 2005/05/21 20:59:46 tim Exp $

/**	
 * Provide convenient functions for advanced cart display
 * by image handler 
 * @author	Tim Kroeger <tim@breakmyzencart.com>
 * @version	1.0-beta2
 */
function bmz_get_poval_imagename($string) {
	$id = FALSE;
	if ((ereg('\.jpg', $string))
			|| (ereg('\.jpeg', $string))
			|| (ereg('\.gif', $string))
			|| (ereg('\.png', $string))) {
		// get unique db id for image
		$file_extension = substr($string, strrpos($string, '.'));
		list($id) = split('[.]', $string);
	}
	return $id . $file_extension;
}
?>
