INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES
('Large Image Maximum Width', 'LARGE_IMAGE_MAX_WIDTH', '', 'Specify a maximum width for your large images. If width and height are empty or set to 0, no resizing of large images is done.', 4, 18, now(), now(), NULL, 'zen_cfg_textarea_small(');
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES
('Large Image Maximum Height', 'LARGE_IMAGE_MAX_HEIGHT', '', 'Specify a maximum height for your large images. If width and height are empty or set to 0, no resizing of large images is done.', 4, 19, now(), now(), NULL, 'zen_cfg_textarea_small(');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES 
('Small image filetype', 'SMALL_IMAGE_FILETYPE', 'no_change', 'Select one of ''jpg'', ''gif'' or ''png''. Internet Explorer has still issues displaying png-images with transparent areas. You better stick to ''gif'' for transparency or ''jpg'' for larger images. ''no_change'' is old zen-cart behavior, use the same file extension for small images as uploaded image''s.', 4, 24, 'zen_cfg_select_option(array(''gif'', ''jpg'', ''png'', ''no_change''),', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES 
('Small image background', 'SMALL_IMAGE_BACKGROUND', 'white', 'If converted from an uploaded image with transparent areas, these areas become the specified color. Set to ''transparent'' to keep transparency.', 4, 25, 'zen_cfg_textarea_small(', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES 
('Watermark small images', 'WATERMARK_SMALL_IMAGES', 'False', 'Set to ''True'', if you want to show watermarked small images instead of unmarked small images. Additional images are created, this will double the space needed for your images.', 4, 26, 'zen_cfg_select_option(array(''False'', ''True''),', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES
('Small image compression quality', 'SMALL_IMAGE_QUALITY', '75', 'Specify the desired image quality for small jpg- or png-images, decimal values ranging from 0 to 100. Higher is better quality and takes more space. Default is 75 which is ok unless you have very specific needs.', 4, 27, 'zen_cfg_textarea_small(', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES 
('Medium image filetype', 'MEDIUM_IMAGE_FILETYPE', 'no_change', 'Select one of ''jpg'', ''gif'' or ''png''. Internet Explorer has still issues displaying png-images with transparent areas. You better stick to ''gif'' for transparency or ''jpg'' for larger images. ''no_change'' is old zen-cart behavior, use the same file extension for medium images as uploaded image''s.', 4, 28, 'zen_cfg_select_option(array(''gif'', ''jpg'', ''png'', ''no_change''),', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES 
('Medium image background', 'MEDIUM_IMAGE_BACKGROUND', 'white', 'If converted from an uploaded image with transparent areas, these areas become the specified color. Set to ''transparent'' to keep transparency.', 4, 29, 'zen_cfg_textarea_small(', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES 
('Watermark medium images', 'WATERMARK_MEDIUM_IMAGES', 'False', 'Set to ''True'', if you want to show watermarked medium images instead of unmarked medium images. Additional images are created, this will double the space needed for your images.', 4, 30, 'zen_cfg_select_option(array(''False'', ''True''),', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES
('Medium image compression quality', 'MEDIUM_IMAGE_QUALITY', '75', 'Specify the desired image quality for medium jpg- or png-images, decimal values ranging from 0 to 100. Higher is better quality and takes more space. Default is 75 which is ok unless you have very specific needs.', 4, 31, 'zen_cfg_textarea_small(', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES 
('Large image filetype', 'LARGE_IMAGE_FILETYPE', 'no_change', 'Select one of ''jpg'', ''gif'' or ''png''. Internet Explorer has still issues displaying png-images with transparent areas. You better stick to ''gif'' for transparency or ''jpg'' for larger images. ''no_change'' is old zen-cart behavior, use the same file extension for large images as uploaded image''s.', 4, 32, 'zen_cfg_select_option(array(''gif'', ''jpg'', ''png'', ''no_change''),', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES 
('Large image background', 'LARGE_IMAGE_BACKGROUND', 'white', 'If converted from an uploaded image with transparent areas, these areas become the specified color. Set to ''transparent'' to keep transparency.', 4, 33, 'zen_cfg_textarea_small(', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES 
('Watermark large images', 'WATERMARK_LARGE_IMAGES', 'False', 'Set to ''True'', if you want to show watermarked large images instead of unmarked large images. Additional images are created, this will double the space needed for your images.', 4, 34, 'zen_cfg_select_option(array(''False'', ''True''),', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES 
('Large image compression quality', 'LARGE_IMAGE_QUALITY', '75', 'Specify the desired image quality for large jpg- or png-images, decimal values ranging from 0 to 100. Higher is better quality and takes more space. Default is 75 which is ok unless you have very specific needs.', 4, 35, 'zen_cfg_textarea_small(', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES
('Watermark Gravity', 'WATERMARK_GRAVITY', 'Center', 'Select the position for the watermark relative to the image''s canvas. Default is <strong>Center</Strong>.', 4, 36, now(), now(), NULL, 'zen_cfg_select_drop_down(array(array(''id''=>''NorthWest'', ''text''=>''NorthWest''), array(''id''=>''North'', ''text''=>''North''), array(''id''=>''NorthEast'', ''text''=>''NorthEast''), array(''id''=>''West'', ''text''=>''West''), array(''id''=>''Center'', ''text''=>''Center''), array(''id''=>''East'', ''text''=>''East''), array(''id''=>''SouthWest'', ''text''=>''SouthWest''), array(''id''=>''South'', ''text''=>''South''), array(''id''=>''SouthEast'', ''text''=>''SouthEast'')),');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES 
('Select Image Manager', 'IMAGE_MANAGER_HANDLER', 'none', 'Select either ''none'' which is old zen-cart behaviour or one of ''ImageMagick'' or ''GD''. Note that you must also specify the location of the binaries for ImageMagick in <strong>ImageMagick path</strong>.', 4, 38, 'zen_cfg_select_option(array(''none'', ''ImageMagick'', ''GD''),', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES 
('ImageMagick path', 'DIR_FS_IMAGE_MAGICK', '/usr/bin/', 'Path to ImageMagick binaries. You have to set this in order to make ImageMagick work as Image Handler. If your host hast these binaries installed on the server, it''s probably <strong>/usr/bin/</strong>. Otherwise you can get statically linked binaries from the ImageMagick homepage and try and upload them to your account. You have to set this field accordingly. <strong>Absolute path with</strong> trailing slash required.</strong>', 4, 39, 'zen_cfg_textarea_small(', now());
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES 
('ImageMagick library path', 'DIR_FS_IMAGE_MAGICK_LIB', '', 'Path to ImageMagick libraries. Leave empty for default. If you installed your own ImageMagick, you have to set the path to the libraries here. <strong>Absolute path with</strong> trailing slash required.</strong>', 4, 39, 'zen_cfg_textarea_small(', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES 
('Show uploaded images in cart', 'SHOW_UPLOADED_IMAGES', 'false', 'Set to ''true'', if you want to show user uploaded images in the shopping cart.', 4, 12, 'zen_cfg_select_option(array(''false'', ''true''),', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES 
('Clone Image Dir Owner', 'CLONE_IMAGE_DIR_OWNER', 'false', 'Set to ''true'', if you want newly created images and directories to be owned by the image directory''s owner. <strong>(Not yet functional!)</strong>', 4, 13, 'zen_cfg_select_option(array(''false'', ''true''),', now());

UPDATE configuration SET sort_order='55' WHERE configuration_key = 'IMAGES_AUTO_ADDED';
