<?php
//
// +----------------------------------------------------------------------+
// |zen-cart Open Source E-commerce                                       |
// +----------------------------------------------------------------------+
// | Copyright (c) 2003 The zen-cart developers                           |
// |                                                                      |
// | http://www.zen-cart.com/index.php                                    |
// |                                                                      |
// | Portions Copyright (c) 2003 osCommerce                               |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the GPL license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at the following url:           |
// | http://www.zen-cart.com/license/2_0.txt.                             |
// | If you did not receive a copy of the zen-cart license and are unable |
// | to obtain it through the world-wide-web, please send a note to       |
// | license@zen-cart.com so we can mail you a copy immediately.          |
// +----------------------------------------------------------------------+
// products_image_manager.php
//

define('HEADING_TITLE', 'Product Image Manager');
define('HEADING_TITLE_PRODUCT_SELECT','Please select a Product to alter the images for ...');

define('TABLE_HEADING_PHOTO_NAME', 'Photograph Name');
define('TABLE_HEADING_DEFAULT_SIZE','Default Size');
define('TABLE_HEADING_MEDIUM_SIZE', 'Medium Size');
define('TABLE_HEADING_LARGE_SIZE','Large Size');
define('TABLE_HEADING_PHOTO', 'Photo');
define('TABLE_HEADING_ACTION', 'Action');

define('TEXT_PRODUCT_INFO', 'Product');
define('TEXT_PRODUCTS_MODEL', 'Model');
define('TEXT_IMAGE_BASE_DIR', 'Base Directory');
define('TEXT_NO_PRODUCT_IMAGES', 'There are no images for this product');
define('TEXT_CLICK_TO_ENLARGE', 'Click to enlarge');
define('TEXT_PRICED_BY_ATTRIBUTES', 'Priced by Attributes');
 
define('TEXT_INFO_IMAGE_INFO', 'Image Information');
define('TEXT_INFO_NAME', 'Name');
define('TEXT_INFO_FILE_TYPE', 'File Type');
define('TEXT_INFO_EDIT_PHOTO', 'Edit Photo');
define('TEXT_INFO_NEW_PHOTO', 'New Photo');
define('TEXT_INFO_IMAGE_BASE_NAME', 'Image Base Name');
define('TEXT_INFO_AUTOMATIC_FROM_DEFAULT', ' Automatic (from Default image name)');
define('TEXT_INFO_MAIN_DIR', 'Main Directory');
define('TEXT_INFO_BASE_DIR', 'Base Image Directory');
define('TEXT_INFO_NEW_DIR', 'Select or define a new directory for the images.');
define('TEXT_INFO_IMAGE_DIR', 'Image Directory');
define('TEXT_INFO_OR', 'or');
define('TEXT_INFO_AUTOMATIC', 'Automatic');
define('TEXT_INFO_IMAGE_SUFFIX', 'Image Suffix');
define('TEXT_INFO_USE_AUTO_SUFFIX','Use automatic suffix generation, or enter an alternative.');
define('TEXT_INFO_DEFAULT_IMAGE', 'Default image file');
define('TEXT_INFO_DEFAULT_IMAGE_HELP', 'A default image must be defined. The deafult image is assumed to be the smallest when medium or large images are entered.');
define('TEXT_INFO_CONFIRM_DELETE', "Confirm Delete");
define('TEXT_INFO_CONFIRM_DELETE_SURE', 'Are you sure you want to delete this image and all its sizes?');
define('TEXT_INFO_SELECT_ACTION', 'Select Action');
define('TEXT_INFO_CLICK_TO_ADD', 'Click to add a new photo to this Product');

define('TEXT_MSG_AUTO_BASE_ERROR', 'Automatic Base Select without Default file!');
define('TEXT_MSG_INVALID_BASE_ERROR', 'Invalid Image Base Name, or unable to find default image');
define('TEXT_MSG_AUTO_REPLACE',  'Automatically replacing bad characters in base name, new name: ');
define('TEXT_MSG_INVALID_SUFFIX', 'Invalid Image Suffix!');
define('TEXT_MSG_IMAGE_TYPES_NOT_SAME_ERROR', 'Image types are not the same!');
define('TEXT_MSG_DEFAULT_REQUIRED_FOR_RESIZE', 'A default image is required for automatic resizing!');
define('TEXT_MSG_NO_DEFAULT', 'No Default image has been specified!');
define('TEXT_MSG_FILE_EXISTS', 'File Already Exists! Please alter the Base Name or Suffix!');
define('TEXT_MSG_INVALID_SQL', "Unable to complete SQL query!");
define('TEXT_MSG_NOCREATE_IMAGE_DIR', "Unable to create image directory!");
define('TEXT_MSG_NOCREATE_MEDIUM_IMAGE_DIR', "Unable to create medium image directory!");
define('TEXT_MSG_NOCREATE_LARGE_IMAGE_DIR', "Unable to create large image directory!");
define('TEXT_MSG_NOPERMS_IMAGE_DIR', "Unable to set the permissions of the image directory!");
define('TEXT_MSG_NOPERMS_MEDIUM_IMAGE_DIR', "Unable to set the permissions of the meidum image directory!");
define('TEXT_MSG_NOPERMS_LARGE_IMAGE_DIR', "Unable to set the permissions of the large image directory!");

define('TEXT_MSG_NOUPLOAD_DEFAULT', "Unable to upload default image file!");
define('TEXT_MSG_NORESIZE', "Unable to resize image!");
define('TEXT_MSG_NOCOPY_LARGE', "Unable to copy large image file!");
define('TEXT_MSG_NOCOPY_MEDIUM', "Unable to copy medium image file!");
define('TEXT_MSG_NOCOPY_DEFAULT', "Unable to copy default image file!");
define('TEXT_MSG_NOPERMS_LARGE', "Unable to set permissions of large image file!");
define('TEXT_MSG_NOPERMS_MEDIUM', "Unable to set permissions of medium image file!");
define('TEXT_MSG_NOPERMS_DEFAULT', "Unable to set permissions of default image file!");
define('TEXT_MSG_IMAGE_SAVED', 'Image Successfully Saved');
define('TEXT_MSG_LARGE_DELETED', 'Large file deleted');
define('TEXT_MSG_NO_DELETE_LARGE', 'Unable to delete large file!');
define('TEXT_MSG_MEDIUM_DELETED', 'Medium file deleted');
define('TEXT_MSG_NO_DELETE_MEDIUM', 'Unable to delete medium file!');
define('TEXT_MSG_DEFAULT_DELETED', 'Default file deleted');
define('TEXT_MSG_NO_DELETE_DEFAULT', 'Unable to delete default file!');
define('TEXT_MSG_NO_DEFAULT_FILE_FOUND', "No default file found to delete!");

define('NOT_USING_IMAGE_HANDLER', 'No Image Handler configured.');
define('USING_IMAGE_HANDLER', 'Image Handler %s used.');

?>
