<?php
  require('includes/configure.php');
  require('includes/application_top.php');
  function show_uploaded_image($pic) {
//Read Pic and send it to browser
    $fp = fopen($pic, "rb");
    if (!$fp) exit();
// Get Image type
    $imageinfo = @getimagesize($pic);
    $mime = $imageinfo['mime'];
// Get Imagename
    $pos = strrpos($pic, "/");
    if ($pos) {
      $img_name = substr($pic, strrpos($pic, "/" ) + 1);
    } else {
      $img_name=$pic;
    }
    header ("Content-type: $mime");
    header ("Content-Disposition: inline; filename=\"$img_name\"");
    fpassthru($fp);
    // The file is closed when fpassthru() is done reading it (leaving handle useless).  
    // fclose ($fp);
    exit();
  }

// Register needed Post / Get Variables
  if ($_GET['i']) $i = $_GET['i'];
  if ($_GET['option']) $option = $_GET['option'];

  if ((strlen($i) > 0) && (strlen($option) > 0)) {
	  $products = $_SESSION['cart']->get_products();

      if (isset($products[$i]['attributes']) && is_array($products[$i]['attributes'])) {
          if (PRODUCTS_OPTIONS_SORT_ORDER=='0') {
            $options_order_by= ' order by LPAD(popt.products_options_sort_order,11,"0")';
          } else {
            $options_order_by= ' order by popt.products_options_name';
          }

        $value = $products[$i]['attributes'][$option];
          //clr 030714 move hidden field to if statement below
//          echo zen_draw_hidden_field('id[' . $products[$i]['id'] . '][' . $option . ']', $value);
          $attributes = "select popt.products_options_name, poval.products_options_values_name,
                                     pa.options_values_price, pa.price_prefix
                         from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_OPTIONS_VALUES . " poval, " . TABLE_PRODUCTS_ATTRIBUTES . " pa
                         where pa.products_id = '" . (int)$products[$i]['id'] . "'
                         and pa.options_id = '" . $option . "'
                         and pa.options_id = popt.products_options_id
                         and pa.options_values_id = '" . $value . "'
                         and pa.options_values_id = poval.products_options_values_id
                         and popt.language_id = '" . $_SESSION['languages_id'] . "'
                         and poval.language_id = '" . $_SESSION['languages_id'] . "'" . $options_order_by;

          $attributes_values = $db->Execute($attributes);

          //clr 030714 determine if attribute is a text attribute and assign to $attr_value temporarily
          if ($value == PRODUCTS_OPTIONS_VALUES_TEXT_ID) {
            $attr_value = $products[$i]['attributes_values'][$option];
          } else {
            $attr_value = $attributes_values->fields['products_options_values_name'];
          }
          $products[$i][$option]['products_options_name'] = $attributes_values->fields['products_options_name'];
          $products[$i][$option]['products_options_values_name'] = $attr_value ;
      }
		$image = bmz_get_poval_imagename($products[$i][$option]['products_options_values_name']);
  }
  $pic = DIR_FS_CATALOG . DIR_WS_UPLOADS . $image;
  $thumbnail = DIR_FS_CATALOG . DIR_WS_UPLOADS . 'thumbnails/' . $image;
  // make directory for thumbnails just to be safe.
  mkdirr(dirname($thumbnail), 0777);
  // now look for thumbnail
  if (is_file($thumbnail)) {
  	$pic = $thumbnail;
  } else {
  	// generate thumbnail
	if ((IMAGE_MANAGER_HANDLER) && ((IMAGE_MANAGER_HANDLER == 'ImageMagick') || (IMAGE_MANAGER_HANDLER == 'GD'))) {
		//set sizes for future images
		list($thumb_width, $thumb_height, $resize_thumb) = zen_calculate_image_size($pic, IMAGE_SHOPPING_CART_WIDTH, IMAGE_SHOPPING_CART_HEIGHT . '!');
		$thumb_size  = $thumb_width . "x" . $thumb_height;
		if (IMAGE_MANAGER_HANDLER == 'ImageMagick') {
			if (((file_exists(DIR_FS_IMAGE_MAGICK . 'convert')) && (file_exists(DIR_FS_IMAGE_MAGICK . 'composite')) && (file_exists(DIR_FS_IMAGE_MAGICK . 'montage')))
					|| ((file_exists(DIR_FS_IMAGE_MAGICK . 'convert.exe')) && (file_exists(DIR_FS_IMAGE_MAGICK . 'composite.exe')) && (file_exists(DIR_FS_IMAGE_MAGICK . 'montage.exe')))) {
				zen_imagemagick_resize_image($pic, $thumbnail, SMALL_IMAGE_BACKGROUND, $thumb_size, intval(SMALL_IMAGE_QUALITY));
				$pic = $thumbnail;
			} else {
				zen_add_message(ERROR_IMAGE_MAGICK_NOT_FOUND, 'error');
			}
		} elseif (IMAGE_MANAGER_HANDLER == 'GD') {
			zen_gd_resize_image($pic, $thumbnail, SMALL_IMAGE_BACKGROUND, $thumb_width, $thumb_height, intval(SMALL_IMAGE_QUALITY));
			$pic = $thumbnail;
		}
	}
  }
  
  
  // Show image only if it exists:
  if (is_file($pic)) {
    show_uploaded_image($pic);
  }
  exit();
?>